# Dataset$unrelease

### Dataset$<mark style="color:purple;">unrelease</mark>() → self

Unreleases the `current` version of the dataset, setting it back to the `next` version. A version of a dataset can only be unreleased within a 7-day window from when it was released, and cannot be unreleased if a `next` version already exists (in this case, first [delete the next version](/api/client-libraries/redivis-python/reference/version/version.delete.md)).

### **Returns:**&#x20;

**self (a** [**Dataset**](/api/client-libraries/redivis-r/reference/dataset.md)**)**

### Examples:

{% tabs %}
{% tab title="Release and unrelease a version" %}

```r
dataset <- redivis$user("my_username")$dataset("My dataset")
dataset <- dataset$create_next_version()

# Upload data, etc.

# This moves the "next" version to current
dataset$release()

# If we realize we've made a mistake, we can reset to how the dataset was before
# it was released:
dataset$unrelease()
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/dataset/datasetusdunrelease.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
